Bug 5147 - bug in /usr/share/aclocal/signed.m4
: bug in /usr/share/aclocal/signed.m4
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gettext-tools)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-09-02 17:14 by
Modified: 2005-11-21 11:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-09-02 17:14:42
оно пытается скомпилировать [signed char x;]
при -W -Wall -Werror получаем unused variable `signed char x'
в итоге configure решает что signed не поддерживается и добавляет #define signed
далее, в stl получаются одинаковые специализации шаблонов для signed char и char
в bits/type_traits.h
это естественно компилятор не переносит

предлагаю добавить в signed.m4 x='x'; - это успокаивает ворнинги
т.е. сделать [signed char x; x='x']

проверено - работает
------- Comment #1 From 2004-09-13 18:57:46 -------
Thanks, fixed in 0.14.1-alt3